/****************************************************
//	AshaTej Software
//
//	the ai management code
//	used to drop food at random intervals
*****************************************************/

function AIManager(interval,chance) {
	console.log('create AIManager')
	this.interval = interval || 100;
	this.chance = chance || 2;
};	// end constructor

AIManager.prototype.dropFood = function() {
	if (Math.random() * this.interval <= this.chance) {
		console.log('drop food');
		this.addFood();
	}
	
};	// end dropFood

AIManager.prototype.addFood = function() {
		console.log('add food');
		var yPos = -1 * wade.app.GAME_HEIGHT/2;				// start at top of screen
		var xPos = (Math.random() - 0.5) * wade.app.GAME_WIDTH;					
		var pSize = Math.floor(Math.random() * 8) + 8;		// the particle size
		var pSpeed = Math.floor(Math.random() * 200) + 200;	// the partciel speed
		var fSprite = new Sprite(
				{
					layer: wade.app.GAME_LAYER,
					autoResize: false,
					image: './images/food.jpg',
					alwaysDraw: true,
					pixelShader: wade.app.getSegmentShader(),
					size: {x: pSize,y: pSize}
				});
		var particle = new SceneObject(fSprite,0,xPos,yPos);	
		particle.moveTo(xPos,-1*yPos,pSpeed);					// move to bottom of screen
		
		wade.addSceneObject(particle);						// add the scene object
		particle.isFood = true;								// for collision checking
		particle.value = pSize;
		
		// on move complete triggered when food particle reaches bottom 
		// of game screen. simply remove it for now
		particle.onMoveComplete = function() {
			console.log('remove food particle');
			wade.removeSceneObject(this);
		};	// end bullet on move complete
	
};	// end addFood


// For Chrome debugging
//@ sourceURL=AIManager.js