/*
*	The fragment shader code
*	Texture with spatial distortion
*	uv.y changes amount of left right bounce,  8 look like jello, 80 heat distortion
*	time multiple is speed of distortion
*	final constant is amout of x direction shift
*  	scroll the texture by multiplying the uv.x with a small time shift
*/

float time = uvAlphaTime.w;							// get time
vec2 uv = uvAlphaTime.xy;							// get xy coord of current pixel
uv.x = uv.x + time*0.02;							// scroll in the positive x direction
uv.y = uv.y + sin(uv.x*4. + time*1.6) * 0.03;		// provide a little wiggle based on the sine function
vec4 texColor = texture2D(uDiffuseSampler, uv);		// load texture 1:1 with the modified uv values
gl_FragColor =  texColor;							// blast off

