/*
 * The shader code
*/
const float PI = 3.141592653589793238462643383;			// constant pi
vec3 lightDir = vec3(0.,0.,3.);
vec3 l = normalize(lightDir);							// normalize the light dir
vec2 uv = (uvAlphaTime.xy - 0.5) * 2.;					// scale vector from -1 to 1
float radius = length(uv);								// distance uv vector from center
// normal from center of sphere to each pixel
vec3 normal = vec3(uv.x, uv.y, sqrt(1. - uv.x*uv.x - uv.y*uv.y));
float ndotl = max(0., dot(normal, l));					
float rot = uvAlphaTime.w * 1.2;
float c = cos(rot);
float s = sin(rot);
mat3 rotMatrix = mat3(c, 0, s, 0, 1, 0, -s, 0, c);
normal = rotMatrix * normal;
vec2 texCoords = fract(vec2(0.5 + atan(normal.x, normal.z) / (2.*PI), asin(normal.y) / PI - 0.5));
vec3 texColor = texture2D(uDiffuseSampler, texCoords).xyz;
vec3 lightColor = texColor;
vec4 inside = vec4(lightColor, 1.);						// inside color - texture
vec4 outside = vec4(0.);								// outside color - nothing

gl_FragColor = radius < 1.0 ? inside: outside;
